%define	name	dnstop
%define	version	20030228
%define	release	2mdk

Summary:	This displays various tables of DNS traffic on your network.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Monitoring
URL:		http://dnstop.measurement-factory.com/
Source0:	%{name}-%{version}.tar.bz2
Requires:	libpcap0
BuildRequires:	libpcap0-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
dnstop is a libpcap application (ala tcpdump) that displays
various tables of DNS traffic on your network, including tables
of source and destination IP addresses, query types, top level
domains and second level domains. 

%prep

%setup -q -c %{name}-%{version}

%build
%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -m755 dnstop %{buildroot}%{_sbindir}/
install -m644 dnstop.8 %{buildroot}%{_mandir}/man8/
						
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%attr(0755,root,root) %{_sbindir}/dnstop
%attr(0644,root,root) %{_mandir}/man8/dnstop.8*

%changelog
* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 20030228-2mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Wed Mar 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 20030228-1mdk
- initial cooker contrib
